<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');
class priest_model extends CI_Model {
    public function __construct() {
        parent::__construct();
        $this->priest = TBL_PRIEST;
    }
    
    public function list_all() {
        $this->db->select('*, CASE status WHEN 1 THEN "Active" ELSE "Inactive" END as status_str',FALSE);
        $this->db->where('status !=', 2);
        $this->db->order_by('id', 'desc');
        return $this->db->get($this->priest)->result();
    }
    
    public  function insert($data){  
        $this->db->insert($this->priest, $data);  
        return $this->db->insert_id();
    }   
    
    public function update($data, $id){
        $this->db->where('id', $id);
        $this->db->update($this->priest, $data);
        return $this->db->affected_rows();
    }
    
    public function get_by_id($id) {
        $this->db->select('*, CASE status WHEN 1 THEN "Active" ELSE "Inactive" END as status_str',FALSE);
        $this->db->where('id', $id);
        return $this->db->get($this->priest)->row();
    }
   
    /* public function volunteer_name_exists($name = '', $id = '') {
        $this->db->where('name', trim($name));
        if($id != '')
            $this->db->where('id !=', $id);
       
        $this->db->where('status !=', 2);
        if($this->db->get($this->volunteer)->num_rows())
            return 1;
        else 
            return 0;
    } */
   
    public function priest_url_key_exists($url_key, $id) {
        if (!empty($id)) {
            $this->db->where('id !=', $id);
        }
        $this->db->where('url_key', $url_key);
        return $this->db->get($this->priest)->num_rows();
    }
    
    public function priest_name_exists($name,$designation,$id) {
        $this->db->where('name',$name);
        $this->db->where('designation',$designation);
        if(!empty($id))
            $this->db->where('id !=',$id);
        
        $this->db->where('status',1);
        if($this->db->get($this->priest)->num_rows() > 0)
            return 1;
        
        else
            return 0;
        
    }
}
?>